Subject: RE: [External] : bug#62621: 29.0.60; uniquify can't make buffers unique based on things other than filename

From: Drew Adams <[email-masked]>
Date: Sun, 2 Apr 2023 21:59:52 +0000

> > However, uniquify is currently not customizable in this way.  Could we
> > add support for including additional attributes into the things which
> > uniquify will use?  Then I could add project-name as one of those
> > attributes in my configuration, and I'd be happy.
> >
> > I would be happy to implement this feature in uniquify myself, if this
> > is an interesting feature for upstream.
> 
> Sounds like a useful feature indeed, provided that the customization
> will allow more or less arbitrary uniquification, not just by project
> names.  Also, please keep in mind that a single project could have
> files named the same in different directories.

+1.
_____

Off the top of my head (not thought through)...

User-definable, e.g., based on some defcustom
choice combinations; i.e., different name pieces
that can contribute to the overall name.

The current behavior of using the dir-name pieces
could be one such choice, which could then be
combined with other choices.
 
`file-attributes' values (at least some of them)
could also be candidates for such combinations.

Or useful abbreviations of file-attribute values;
e.g., use a relative last-<whatever> number
instead of a full last-<whatver> value, to reflect
just recency, not bothering about what the absolute
values are.

Ability to assign arbitrary labels (one or more
"tags") to a given buffer would be good as another
combining choice.

In addition, as an alternative maybe a user-defined
function value to compute the overall name.
____

Anyway, any enhancement at all that might be made
wrt the naming would be welcome.